Package org.drinkless.tdlib

# Class TdApi.UpdateUnreadChatCount

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateUnreadChatCount

Enclosing class:
  `TdApi`

public static class TdApi.UpdateUnreadChatCount extends TdApi.Update
Number of unread chats, i.e. with unread messages or marked as unread, has changed. This update is sent only if the message database is used.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatList`
  `chatList`
  The chat list with changed number of unread messages.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `markedAsUnreadCount`
  Total number of chats marked as unread.
  `int`
  `markedAsUnreadUnmutedCount`
  Total number of unmuted chats marked as unread.
  `int`
  `totalCount`
  Approximate total number of chats in the chat list.
  `int`
  `unreadCount`
  Total number of unread chats.
  `int`
  `unreadUnmutedCount`
  Total number of unread unmuted chats.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateUnreadChatCount()`
  Number of unread chats, i.e.
  `UpdateUnreadChatCount(TdApi.ChatList chatList, int totalCount, int unreadCount, int unreadUnmutedCount, int markedAsUnreadCount, int markedAsUnreadUnmutedCount)`
  Number of unread chats, i.e.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatList

    public TdApi.ChatList chatList
    The chat list with changed number of unread messages.

  - ### totalCount

    public int totalCount
    Approximate total number of chats in the chat list.

  - ### unreadCount

    public int unreadCount
    Total number of unread chats.

  - ### unreadUnmutedCount

    public int unreadUnmutedCount
    Total number of unread unmuted chats.

  - ### markedAsUnreadCount

    public int markedAsUnreadCount
    Total number of chats marked as unread.

  - ### markedAsUnreadUnmutedCount

    public int markedAsUnreadUnmutedCount
    Total number of unmuted chats marked as unread.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateUnreadChatCount

    public UpdateUnreadChatCount()
    Number of unread chats, i.e. with unread messages or marked as unread, has changed. This update is sent only if the message database is used.

  - ### UpdateUnreadChatCount

    public UpdateUnreadChatCount(TdApi.ChatList chatList, int totalCount, int unreadCount, int unreadUnmutedCount, int markedAsUnreadCount, int markedAsUnreadUnmutedCount)
    Number of unread chats, i.e. with unread messages or marked as unread, has changed. This update is sent only if the message database is used.
    Parameters:
      `chatList` - The chat list with changed number of unread messages.
      `totalCount` - Approximate total number of chats in the chat list.
      `unreadCount` - Total number of unread chats.
      `unreadUnmutedCount` - Total number of unread unmuted chats.
      `markedAsUnreadCount` - Total number of chats marked as unread.
      `markedAsUnreadUnmutedCount` - Total number of unmuted chats marked as unread.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR